Delete Doc
curl --request DELETE \
--url https://api.aryn.cloud/v1/storage/docsets/{docset_id}/docs/{doc_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aryn.cloud/v1/storage/docsets/{docset_id}/docs/{doc_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aryn.cloud/v1/storage/docsets/{docset_id}/docs/{doc_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_id": "<string>",
"doc_id": "<string>",
"docset_id": "<string>",
"created_at": "<string>",
"name": "<string>",
"size": 123,
"content_type": "<string>",
"properties": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Document
Delete Doc
Remove a document from a DocSet and delete the file.
Args: docset_id: The ID of the DocSet doc_id: The ID of the document to remove
DELETE
/
v1
/
storage
/
docsets
/
{docset_id}
/
docs
/
{doc_id}
Delete Doc
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful Response
The account id containing the Document.
The unique id for the Document.
The unique id for the DocSet containing the Document.
The time at which this document was added to the system.
The name of this Document.
The size of the Document in bytes.
The content type of the source Document.
Additional properties for the Document.
Was this page helpful?
